> ## Documentation Index
> Fetch the complete documentation index at: https://docs.leamout.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a SIP subscriber



## OpenAPI

````yaml /openapi.json post /v1/subscribers/
openapi: 3.1.0
info:
  title: Leamout API
  version: 1.0.0
  description: The Leamout API for programmable communications.
servers:
  - url: https://api.leamout.com
security:
  - BearerAuth: []
tags:
  - name: Voice applications
    description: Programmable voice applications and inbound bindings.
  - name: Calls
    description: Durable calls and live call control.
  - name: SIP domains
    description: Organization-owned SIP namespaces.
  - name: SIP subscribers
    description: SIP identities and credentials.
  - name: Carrier providers
    description: Carrier provider definitions available to connections.
  - name: Carrier connections
    description: >-
      Organization carrier relationships, authentication, policy, and
      validation.
  - name: Trunks
    description: BYOC and managed SIP trunks and their physical endpoints.
  - name: Numbers
    description: BYOC and managed phone-number resources.
  - name: Recordings
    description: Call recording metadata and playback.
  - name: Conferences
    description: Conference resources and participant controls.
  - name: Realtime
    description: Short-lived realtime/WebRTC credentials.
  - name: Webhooks
    description: Webhook endpoints, secrets, tests, deliveries, and retries.
paths:
  /v1/subscribers/:
    post:
      tags:
        - SIP subscribers
      summary: Create a SIP subscriber
      operationId: createSubscriber
      requestBody:
        $ref: '#/components/requestBodies/SubscriberCreate'
      responses:
        '201':
          description: Subscriber created
        '400':
          $ref: '#/components/responses/BadRequest'
components:
  requestBodies:
    SubscriberCreate:
      required: true
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/SubscriberCreate'
  responses:
    BadRequest:
      description: Bad request
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
  schemas:
    SubscriberCreate:
      type: object
      required:
        - sip_domain_id
        - username
        - password
      properties:
        sip_domain_id:
          type: string
          format: uuid
        username:
          type: string
        password:
          type: string
        display_name:
          type:
            - string
            - 'null'
    ErrorResponse:
      type: object
      required:
        - success
        - error
      properties:
        success:
          type: boolean
          const: false
        error:
          $ref: '#/components/schemas/Error'
    Error:
      type: object
      required:
        - code
        - message
      properties:
        code:
          type: string
        message:
          type: string
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: Organization credential
      description: Organization bearer credential beginning with lm_org_.

````